#! /usr/bin/env perl

$comment = "";
while (<STDIN>){
    if (/\/\*\*\ +([^\*]*[^ \t])[ \t]*\*\//){
	$comment = $1;
    }
    elsif (/\/\*\!\ +([^\*]*[^ \t])[ \t]*\*\//){
	$comment = $1;
    }
    elsif (/\/\/\/\ +(.*[^ \t])[ \t]*\n/){
	$comment = $1;
    }
    elsif (/extern\ void\ +([a-zA-Z_0-9]+)\ *\(void\);/){
	if ($comment eq ""){
	    print "{\"$1\", $1, NULL, NULL},\n";
	}
	else {
	    print "{\"$1\", $1, NULL, \"$comment\"},\n";
	    $comment = "";
	}
    }
    else {
	$comment = "";
    }
}
