#ifndef __ABOOK_H__
#define __ABOOK_H__ 1
/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2003 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/
/****************************************************************************
 *    INTERFACE REQUIRED HEADERS
 ****************************************************************************/

#include "address.h"

/****************************************************************************
 *    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE DATA DECLARATIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE FUNCTION PROTOTYPES
 ****************************************************************************/

extern void abook_start (void);
extern void abook_save (void);
extern void abook_end (void);
extern void abook_sort (void);

extern void abook_open (void);
extern void abook_close (void);
extern void abook_next (void);
extern void abook_prev (void);
extern void abook_next_page (void);
extern void abook_prev_page (void);
extern void abook_first (void);
extern void abook_last (void);
extern void abook_change_name (void);
extern void abook_change_email (void);
extern void abook_change_flag (void);
extern void abook_remove (void);
extern void abook_insert (void);

extern void abook_add_open (void);
extern void abook_add_close (void);
extern void abook_add_next (void);
extern void abook_add_prev (void);
extern void abook_add_next_page (void);
extern void abook_add_prev_page (void);
extern void abook_add_first (void);
extern void abook_add_last (void);
extern void abook_add_hit (void);

/****************************************************************************
 *    INTERFACE OBJECT CLASS DEFINITIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE TRAILING HEADERS
 ****************************************************************************/
/****************************************************************************
 *
 *    END HEADER abook.h
 *
 ****************************************************************************/
#endif
