#!/bin/sh

echo -n "Your name: ";
read name;

echo -n "Your email: ";
read email;

echo -n "Where would you like to store your mailboxes: ";
read mailbox;

echo -n "SMTP server: ";
read smtp;

echo -n "POP3 server: ";
read pop_server;

echo -n "POP3 user name: ";
read pop_user;

echo -n "POP3 password: ";
read pop_pass;

echo -n "Where would you like to store info about fetched mails: ";
read pop_info_dir;

echo -n "Editor: ";
read editor;



echo "set name '$name'" > ~/.elmorc;
echo "set email $email" >> ~/.elmorc;
echo "set mailbox $mailbox" >> ~/.elmorc;
echo "set smtp_acc $smtp" >> ~/.elmorc;
echo "set pop_acc $pop_server:$pop_user:$pop_pass" >> ~/.elmorc;
echo "set pop_info_dir $pop_info_dir" >> ~/.elmorc;
echo "set editor '$editor %f'" >> ~/.elmorc


if test ! -d "$mailbox"; then
    mkdir "$mailbox";
fi

if test ! -d "$mailbox/inbox"; then
    mkdir ${mailbox}/inbox;
fi

if test ! -d "$mailbox/inbox/cur"; then
    mkdir ${mailbox}/inbox/cur;
fi

if test ! -d "$mailbox/inbox/new"; then
    mkdir ${mailbox}/inbox/new;
fi

if test ! -d "$mailbox/inbox/tmp"; then
    mkdir ${mailbox}/inbox/tmp;
fi


if test ! -d "$mailbox/drafts"; then
    mkdir ${mailbox}/drafts;
fi

if test ! -d "$mailbox/drafts/cur"; then
    mkdir ${mailbox}/drafts/cur;
fi

if test ! -d "$mailbox/drafts/new"; then
    mkdir ${mailbox}/drafts/new;
fi

if test ! -d "$mailbox/drafts/tmp"; then
    mkdir ${mailbox}/drafts/tmp;
fi


if test ! -d "$mailbox/sent"; then
    mkdir ${mailbox}/sent;
fi

if test ! -d "$mailbox/sent/cur"; then
    mkdir ${mailbox}/sent/cur;
fi

if test ! -d "$mailbox/sent/new"; then
    mkdir ${mailbox}/sent/new;
fi

if test ! -d "$mailbox/sent/tmp"; then
    mkdir ${mailbox}/sent/tmp;
fi

echo "key folder n folder_bar_next" >> ~/.elmorc
echo "key folder p folder_bar_prev" >> ~/.elmorc

echo "key mail r sender_open_reply" >> ~/.elmorc
echo "key mail f sender_open_fwd" >> ~/.elmorc
